<?php

namespace App\Models\StockManagement;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WarehouseHasCity extends Model{
    use HasFactory;

    protected $table = "stock_mgt__warehouse_has_cities";
    protected $guarded = [];
    public $timestamps = false;


    //RELATIONS
    public function city(){
        return $this->belongsTo(config("stocks-management.tables.city"),"city_id");
    }

    public function warehouser(){
        return $this->belongsTo(config("stocks-management.tables.warehouse"),"warehouse_id");
    }
}
